// display a map of Omaha, NE
// make a new map named 'map' centered at the Lat/Long you provide
const map = new google.maps.Map(document.getElementById("map"), {
    center: new google.maps.LatLng(41.2565, -95.9345),
    zoom: 10,
    mapTypeId: google.maps.MapTypeId.ROADMAP,
});

btn_directions.onclick = function() {
    // Get input values
    let myDestination = inpt_address.value + ", " + inpt_city.value + ", " + Input_state.value;
    let myOrigin = inpt_addressCopy.value + ", " + inpt_cityCopy.value + ", " + Input_stateCopy.value;;
    
    // Create a DirectionsService object
    const directionsService = new google.maps.DirectionsService();

    // Call route method of DirectionsService
    directionsService.route(
        {
            origin: myOrigin,
            destination: myDestination,
            travelMode: "DRIVING"
        },
        // Handle response and status
        (response, status) => {
            if (status === "OK") {
                // If the status is OK, display the route on the map
                new google.maps.DirectionsRenderer({
                    suppressMarkers: false,
                    directions: response,
                    map: map, // Assuming you have initialized a map variable earlier
                });
                // Output distance information to console
                console.log("Object: response.routes[0].legs:  " + response.routes[0].legs[0].distance.text);
                // Display the full response in a table
                console.table(response);
                console.log("Status: " + status);
            } else {
                // If status is not OK, handle the error
                console.error("Directions request failed due to " + status);
            }
        }
    );
};
